server:
  port: 8080

spring:
  application:
    name:                               message-center
  mvc:
    favicon:
      enabled:                          true

  jmx:
    default-domain:                     message-center


  datasource:
    name:                               message-center
    type:                               com.alibaba.druid.pool.DruidDataSource
    driver-class-name:                  com.mysql.cj.jdbc.Driver
    url:                                jdbc:mysql://rm-2ze20ntn5y9ljsx147o.mysql.rds.aliyuncs.com:3306/message?allowMultiQueries=true&serverTimezone=UTC&useUnicode=true&useSSL=false&characterEncoding=UTF-8
    username:                           root
    password:                           zVmW58LaAtjIKbb

  jackson:
    date-format:                        yyyy-MM-dd HH:mm:ss
    time-zone:                          Asia/Shanghai
    default-property-inclusion:         non_null
    # 首字母大写
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.PascalCaseStrategy
    # 以下划线分隔全小写的单词
    #property-naming-strategy:           com.fasterxml.jackson.databind.PropertyNamingStrategy.LowerCaseWithUnderscoresStrategy
    mapper:
      # 属性按字母顺序输出
      sort_properties_alphabetically:   true
  main:
    allow-bean-definition-overriding: true
#    activemq:
#      broker-url:                         tcp://192.168.64.14:61616
#      in-memory:                          true
#      pool.enabled:                       false
#      user:                               admin
#      password:                           admin

#topic:                                 datacenter.broadcast

mybatis:
  typeAliasesPackage:                   cn.sagacloud.server.messagecenter.models

# spring-cloud相关配置
eureka:
  client:                               #客户端注册进eureka服务列表内
    service-url:
      defaultZone:                      http://frame:123456@develop.persagy.com/integrated-eureka/eureka/













